[oe-commits] Denys Dmytriyenko : matrix-tui: add the Matrix TUI (Text UI) launcher app ( from Arago)

git version control git at git.openembedded.org
Thu May 6 06:40:52 UTC 2010


Module: openembedded.git
Branch: org.openembedded.dev
Commit: 49d7eff0e98fb601c152858e25ca77d5b0ca0281
URL:    http://gitweb.openembedded.net/?p=openembedded.git&a=commit;h=49d7eff0e98fb601c152858e25ca77d5b0ca0281

Author: Denys Dmytriyenko <denis at denix.org>
Date:   Thu May  6 01:48:35 2010 -0400

matrix-tui: add the Matrix TUI (Text UI) launcher app (from Arago)

Signed-off-by: Denys Dmytriyenko <denis at denix.org>

---

 recipes/ti/matrix-tui/init   |   24 ++++++++++++++++++++++
 recipes/ti/matrix-tui_svn.bb |   44 ++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 68 insertions(+), 0 deletions(-)

diff --git a/recipes/ti/matrix-tui/init b/recipes/ti/matrix-tui/init
new file mode 100755
index 0000000..e581382
--- /dev/null
+++ b/recipes/ti/matrix-tui/init
@@ -0,0 +1,24 @@
+#! /bin/sh
+
+matrixtui="/usr/bin/matrix_tui"
+TUI_OPTS="/usr/share/matrix/xml/matrix.xml"
+
+test -x "$matrixtui" || exit 0
+
+case "$1" in
+  start)
+    echo -n "Starting Matrix TUI application"
+    start-stop-daemon --start --quiet --background --pidfile /var/run/matrix-tui.pid --exec $matrixtui -- $TUI_OPTS
+    echo "."
+    ;;
+  stop)
+    echo -n "Stopping Matrix TUI application"
+    start-stop-daemon --stop --quiet --pidfile /var/run/matrix-tui.pid
+    echo "."
+    ;;
+  *)
+    echo "Usage: /etc/init.d/matrix-tui {start|stop}"
+    exit 1
+esac
+
+exit 0
diff --git a/recipes/ti/matrix-tui_svn.bb b/recipes/ti/matrix-tui_svn.bb
new file mode 100644
index 0000000..8472ec4
--- /dev/null
+++ b/recipes/ti/matrix-tui_svn.bb
@@ -0,0 +1,44 @@
+DESCRIPTION = "Matrix TUI"
+HOMEPAGE = "https://gforge.ti.com/gf/project/matrix_tui/"
+LICENSE = "Apache"
+SECTION = "multimedia"
+PRIORITY = "optional"
+
+SRCREV = "26"
+PV = "1.0"
+PR = "r1+svnr${SRCPV}"
+
+INSANE_SKIP_${PN} = "True"
+
+SRC_URI = "svn://gforge.ti.com/svn/matrix_tui/;module=trunk;proto=https;user=anonymous;pswd='' \
+	file://init \
+"
+
+S = "${WORKDIR}/trunk"
+
+# Do not auto-start TUI by default, uncomment otherwise
+#inherit update-rc.d
+#INITSCRIPT_NAME = "matrix-tui"
+#INITSCRIPT_PARAMS = "defaults 99"
+
+do_configure() {
+	sed -i -e 's:PATH=${LINUX_DEVKIT_PATH}/arm-none-linux-gnueabi:PATH ?= ${LINUX_DEVKIT_PATH}/arm-none-linux-gnueabi:' makefile.init
+}
+
+do_compile() {
+	# don't build debug version
+	touch debug
+	export CROSS_COMPILE=${TARGET_PREFIX}
+	export TUI_INCLUDE_PATH=${STAGING_INCDIR}
+	export XML_INCLUDE_PATH=${STAGING_INCDIR}/libxml2
+	export TUI_LIB_PATH=${STAGING_LIBDIR}
+	make release
+}
+
+do_install() {
+	make DESTDIR=${D} install
+	install -d ${D}${sysconfdir}/init.d/
+	install -c -m 0755 ${WORKDIR}/init ${D}${sysconfdir}/init.d/matrix-tui
+}
+
+FILES_${PN} += "${datadir}/matrix/*"





More information about the Openembedded-commits mailing list